package com.ruiwenliu.wrapper.bean;

import com.ruiwenliu.wrapper.base.BaseBean;

import java.io.Serializable;

/**
 * 获取用户信息
 */
public class BeanUserInfo extends BaseBean {
    private UserInfo data;
    private boolean rel;

    public UserInfo getData() {
        return data;
    }

    public void setData(UserInfo data) {
        this.data = data;
    }

    public boolean isRel() {
        return rel;
    }

    public void setRel(boolean rel) {
        this.rel = rel;
    }

    public static class UserInfo implements Serializable {
        private Integer id;

        //用户id
        private Integer userid;
        //imid
        private Integer imUserid;
        ///账号（手机号）
        private String username;
        //微信openid
        private String wxOpenid;
        //微信unionid
        private String unionid;
        //qq
        private String openid;
        //状态：0-启用，1-禁用
        private Integer status;
        //身份证号
        private String idNumber;
        //实名认证状态:0-未认证，1-已认证
        private Integer certificationStatus;
        //会员
        private Integer isMember;  // 是否为会员 0-普通用户  1-会员
        //昵称
        private String nickname;
        //真实姓名
        private String realname;
        //头像
        private String headimgurl;
        //邮箱
        private String email;
        //性别 0-女，1-男
        private Integer sex;
        //生日
        private String birthday;
        //个性签名
        private String personSign;
        //备注
        private String remark;
        // 剩余天数
        private int  rentFreeDays ;
        // 会员消费次数
        private int payCount;
        // 购买会员册数
        private int buyCount ;
        // 会员等级
        private int memberLevel;

        private int discount;

        public Integer getId() {
            return id;
        }

        public void setId(Integer id) {
            this.id = id;
        }

        public Integer getUserid() {
            return userid;
        }

        public void setUserid(Integer userid) {
            this.userid = userid;
        }

        public Integer getImUserid() {
            return imUserid;
        }

        public void setImUserid(Integer imUserid) {
            this.imUserid = imUserid;
        }

        public String getUsername() {
            return username;
        }

        public void setUsername(String username) {
            this.username = username;
        }

        public String getWxOpenid() {
            return wxOpenid;
        }

        public void setWxOpenid(String wxOpenid) {
            this.wxOpenid = wxOpenid;
        }

        public String getUnionid() {
            return unionid;
        }

        public void setUnionid(String unionid) {
            this.unionid = unionid;
        }

        public String getOpenid() {
            return openid;
        }

        public void setOpenid(String openid) {
            this.openid = openid;
        }

        public Integer getStatus() {
            return status;
        }

        public void setStatus(Integer status) {
            this.status = status;
        }

        public String getIdNumber() {
            return idNumber;
        }

        public void setIdNumber(String idNumber) {
            this.idNumber = idNumber;
        }

        public Integer getCertificationStatus() {
            return certificationStatus;
        }

        public void setCertificationStatus(Integer certificationStatus) {
            this.certificationStatus = certificationStatus;
        }

        public Integer getIsMember() {
            return isMember;
        }

        public void setIsMember(Integer isMember) {
            this.isMember = isMember;
        }

        public String getNickname() {
            return nickname;
        }

        public void setNickname(String nickname) {
            this.nickname = nickname;
        }

        public String getRealname() {
            return realname;
        }

        public void setRealname(String realname) {
            this.realname = realname;
        }

        public String getHeadimgurl() {
            return headimgurl;
        }

        public void setHeadimgurl(String headimgurl) {
            this.headimgurl = headimgurl;
        }

        public String getEmail() {
            return email;
        }

        public void setEmail(String email) {
            this.email = email;
        }

        public Integer getSex() {
            return sex;
        }

        public void setSex(Integer sex) {
            this.sex = sex;
        }

        public String getBirthday() {
            return birthday;
        }

        public void setBirthday(String birthday) {
            this.birthday = birthday;
        }

        public String getPersonSign() {
            return personSign;
        }

        public void setPersonSign(String personSign) {
            this.personSign = personSign;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public int getRentFreeDays() {
            return rentFreeDays;
        }

        public void setRentFreeDays(int rentFreeDays) {
            this.rentFreeDays = rentFreeDays;
        }

        public int getPayCount() {
            return payCount;
        }

        public void setPayCount(int payCount) {
            this.payCount = payCount;
        }

        public int getBuyCount() {
            return buyCount;
        }

        public void setBuyCount(int buyCount) {
            this.buyCount = buyCount;
        }

        public int getMemberLevel() {
            return memberLevel;
        }

        public void setMemberLevel(int memberLevel) {
            this.memberLevel = memberLevel;
        }

        public int getDiscount() {
            return discount;
        }

        public void setDiscount(int discount) {
            this.discount = discount;
        }
    }
}
